import { jsx } from "react/jsx-runtime";
import { Cactus as Cactus$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Cactus = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Cactus", ...props, children: /* @__PURE__ */ jsx(Cactus$1, { weight: variant }) });
  }
);
Cactus.displayName = "Cactus";
Object.assign(Cactus, { isGdsIcon: true });
export {
  Cactus
};
